### Hierarchy

- TableExpandButton

## Index

### Inputs

- expandable
- expanded
- skeleton
- ariaLabel

### Outputs

- expandRow

### Constructors

- constructor

### Properties

- _ariaLabel
- expandClass
- expandRow
- expandable
- expanded
- i18n
- skeleton

### Accessors

- ariaLabel
- previousValue

### Methods

- getAriaLabel

## Constructors

### constructor

- new TableExpandButton(i18n: I18n): TableExpandButton

- - Defined in src/table/cell/table-expand-button.component.ts:54

  #### Parameters

  - ##### i18n: I18n

  #### Returns TableExpandButton

## Properties

### Protected _ariaLabel

_ariaLabel: Overridable = this.i18n.getOverridable("TABLE.EXPAND_BUTTON")

- Defined in src/table/cell/table-expand-button.component.ts:54

### expandClass

@HostBinding({"hostPropertyName":"class.bx--table-expand"})
expandClass: boolean = true

- Defined in src/table/cell/table-expand-button.component.ts:46

### expandRow

@Output()
expandRow: EventEmitter<void> = new EventEmitter<void>()

- Defined in src/table/cell/table-expand-button.component.ts:52

### expandable

@Input()
expandable: boolean = false

- Defined in src/table/cell/table-expand-button.component.ts:33

### expanded

@Input()
expanded: boolean = false

- Defined in src/table/cell/table-expand-button.component.ts:28

### Protected i18n

i18n: I18n

- Defined in src/table/cell/table-expand-button.component.ts:56

### skeleton

@Input()
skeleton: boolean = false

- Defined in src/table/cell/table-expand-button.component.ts:44

## Accessors

### ariaLabel

@Input()
ariaLabel:

- Defined in src/table/cell/table-expand-button.component.ts:36
- Defined in src/table/cell/table-expand-button.component.ts:40

### previousValue

@HostBinding({"hostPropertyName":"attr.data-previous-value"})
previousValue:

- Defined in src/table/cell/table-expand-button.component.ts:48

## Methods

### getAriaLabel

- getAriaLabel(): Observable<string>

- - Defined in src/table/cell/table-expand-button.component.ts:58

  #### Returns Observable<string>

Generated using TypeDoc